Name:           findent
Version:        3.1.6
Release:        1%{?dist}
Summary:        Indents/beautifies/converts Fortran sources.

License:        BSD-3
URL:            https://sourceforge.net/projects/findent
Source0:        https://downloads.sourceforge.net/project/findent/findent-3.1.6.tar.gz

BuildRequires:  make
BuildRequires:  gcc-c++

%description
findent Indents/beautifies/converts Fortran sources.

Prints dependencies based on:
    - definitions and uses of modules and submodules
    - include, #include and ??include statements

Findent can emit a script that uses findent to
create a dependencies file for use in an Makefile.

- findent supports Fortran-66 up to Fortran-2018
- findent can convert from fixed form to free form and vice-versa
- findent honours cpp and coco preprocess statements
- findent is validated against all constructs in
    'Modern Fortran explained, Incorporating Fortran 2018, Metcalf e.a.'
- findent honours OpenMP conditionals
- findent runs in Unix and Windows
- high speed: 50K - 100K lines per second
- wrapper for processing one or more files in one call available
    for Unix and Windows (wfindent and wfindent.bat respectively)
- vim, gedit, emacs: findent optionally emits configuration files
    for these editors to use findent as a plugin.
- gui frontent available in a separate package: jfindent


%prep
%autosetup


%build
%configure
%make_build


%install
%make_install


%files
%{_bindir}/findent
%{_bindir}/wfindent
%{_mandir}/man1/findent.1.gz
%{_mandir}/man1/wfindent.1.gz
%license COPYING


%changelog
* Fri May 1 2020 Panagiotis Simatos <mail@p-simatos.com> - 3.1.6
- Initial spec
